package com.zayac.changeurl.entity;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @author zayac
 * @since 2023-09-09 10:57
 */
@Data
@AllArgsConstructor
public class HthTemplateEntity {
    private String app1;
    private String app2;
    private String pc;
    private String h5;
    private String templatePath;
    private List<String> targets;

    public String getApp1() {
        return convert(app1);
    }

    public String getApp2() {
        return convert(app2);
    }

    public String getPc() {
        return convert(pc);
    }

    public String getH5() {
        return convert(h5);
    }

    public String convert(String text) {
        return "{{" + text + "}}";
    }
}
