package com.zayac.changeurl.entity;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @author zayac
 * @since 2023-09-09 10:57
 */
@Data
@AllArgsConstructor
public class KyTemplateEntity {
    private String app1;
    private String app2;
    private String pc1;
    private String pc2;
    private String h51;
    private String h52;
    private String templatePath;
    private List<String> targets;

    public String getApp1() {
        return convert(app1);
    }

    public String getApp2() {
        return convert(app2);
    }

    public String getPc1() {
        return convert(pc1);
    }

    public String getPc2() {
        return convert(pc2);
    }

    public String getH51() {
        return convert(h51);
    }

    public String getH52() {
        return convert(h52);
    }

    public String convert(String text) {
        return "{{" + text + "}}";
    }
}
